#ifndef _SMTP_H_
#define _SMTP_H_

#include <netinet/in.h>

struct smtp_s {
/*   char *host_address; /\* IP address, no hostname!! *\/ */
  unsigned int address;
  int port;
  int timeout;
  
  char *buffer;

  char *response_text;
  int response_code;
  int got_timeout;

  int socket;
  struct sockaddr_in addr;
};

typedef struct smtp_s smtp_t;


#define SMTP_TIMEOUT -99

smtp_t *smtp_init2(char *host_address, int port, int timeout);
smtp_t *smtp_init(unsigned int address, int port, int timeout);
void smtp_destroy(smtp_t *handle);

int smtp_response(smtp_t *handle, char **response);
int smtp_command(smtp_t *handle, char *command, char *arg);

int smtp_connect(smtp_t *handle);
int smtp_close(smtp_t *handle);

int smtp_helo(smtp_t *handle, char *arg);
int smtp_ehlo(smtp_t *handle, char *arg);
int smtp_lhlo(smtp_t *handle, char *arg);
int smtp_mailfrom(smtp_t *handle, char *arg);
int smtp_rcptto(smtp_t *handle, char *arg);
int smtp_data(smtp_t *handle);
int smtp_datasend(smtp_t *handle, char *data);
int smtp_dataend(smtp_t *handle);
int smtp_rset(smtp_t *handle);
int smtp_quit(smtp_t *handle);



#endif /* _SMTP_H_ */  

  
